=== debian/changelog ===
golang-github-shirou-gopsutil (2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Breno Leitao ]
  * Fix FTBFS and add support for ppc64el. (Closes: #820466)

 -- Fernando Seiti Furusato <ferseiti@linux.vnet.ibm.com>  Thu, 03 Nov 2016 10:57:27 -0200

golang-github-shirou-gopsutil (2.1-2) unstable; urgency=medium

  * Extend "01-Disable_failing_tests.patch" to disable failing
    "TestDisk_partitions" and "Test_Process_Nice" tests (Closes: #830164).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Jul 2016 17:23:27 +1000

golang-github-shirou-gopsutil (2.1-1) unstable; urgency=medium

  * Team upload.

  [ Dmitry Smirnov ]
  * Standards-Version: 3.9.8.
  * Modernise Vcs URLs.
  * Removed "Built-Using" from -dev package.
  * Introducing "watch" file.

  [ Martín Ferrari ]
  * New upstream release. Closes: #827697
  * debian/patches:
    - Remove old patches.
    - Add new patches to skip tests that don't run in a buildd.
  * debian/control: Add missing dependencies.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jun 2016 19:53:28 +1000

golang-github-shirou-gopsutil (1.0.0+git20160112-1) unstable; urgency=low

  * Initial release (Closes: #813710)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 19 Jan 2016 01:14:07 +0900
