=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DH_GOPKG := github.com/shirou/gopsutil

# Avoid running tests that require root.
export CI := true
export CIRCLECI := true

TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@ --buildsystem=golang --with=golang
