=== debian/changelog ===
golang-github-shirou-gopsutil (2.17.08-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 11 Sep 2017 12:33:29 +0900

golang-github-shirou-gopsutil (2.17.07-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.0.
  * Add golang-golang-x-sys-dev to B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 30 Aug 2017 08:26:39 +0900

golang-github-shirou-gopsutil (2.16.12-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * Depend on newer dh_golang, and use XS-Go-Import-Path.
  * New upstream release that fixes build issues in different architectures.
  * Acknowledge NMU, thanks Breno Leitao and Fernando Seiti Furusato.
  * Patch patch to udevadm. Closes: #852560.

 -- Martín Ferrari <tincho@debian.org>  Wed, 25 Jan 2017 20:47:10 +0000
