=== debian/control ===
Source: golang-github-shirou-gopsutil
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-golang-x-sys-dev,
               lsof,
               procps,
Standards-Version: 4.1.0
Homepage: https://github.com/shirou/gopsutil
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-shirou-gopsutil.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-shirou-gopsutil.git
XS-Go-Import-Path: github.com/shirou/gopsutil

Package: golang-github-shirou-gopsutil-dev
Architecture: all
Depends: ${misc:Depends},
         dpkg-dev,
         lsof,
         procps,
         golang-github-stretchr-testify-dev,
Description: Go package implementing psutils
 The gopsutil package provides a library which psutil
 (http://pythonhosted.org/psutil/) functions. Most of the features are
 implemented. Please refer to web site of the project about implementation
 list.
