=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# Avoid running tests that require root.
export CI := true
export CIRCLECI := true

%:
	dh $@ --buildsystem=golang --with=golang
