## golang-github-shirou-gopsutil 2.18.06

=== debian/changelog ===
golang-github-shirou-gopsutil (2.18.06-1.lnd.1) unstable; urgency=medium

  * Add Loongarch supported

 --Yaling Fang <fangyaling@loongson.cn>  Wed, 12 Jan 2021 15:08:47 +0800

golang-github-shirou-gopsutil (2.18.06-1) unstable; urgency=medium

  * Team upload.

  [ Arnaud Rebillout ]
  * New upstream release.
  * Remove obsolete patch.
  * Add patch to fix TestVirtual_memory.

  [ Dmitry Smirnov ]
  * Replaced our "TestVirtualization.patch" with proper one from upstream.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Thu, 12 Jul 2018 16:08:47 +0700

golang-github-shirou-gopsutil (2.18.02-2) unstable; urgency=medium

  * Team upload.
  * New patch to disable unreliable test TestVirtualization (Closes: #902563).
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.1.4

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Jul 2018 11:20:46 +1000

golang-github-shirou-gopsutil (2.18.02-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper to 10.]
  * Bump Standards-Version to 4.1.3.
  * Change Priority to optional.
  * Update Vcs-Browser and Vcs-Git to salsa.
  * Add debian/gitlab-ci.yml.
  * Update patches/01-Disable_failing_tests.patch.
  * Update patches/02-Bug#852560_udevadm_path.path.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 30 Mar 2018 07:52:58 +0900
