=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: golang-github-shirou-gopsutil
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
                golang-any,
                golang-github-stretchr-testify-dev,
                golang-golang-x-sys-dev,
                lsof,
                procps,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/shirou/gopsutil
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-shirou-gopsutil.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-shirou-gopsutil.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
 XS-Go-Import-Path: github.com/shirou/gopsutil
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-shirou-gopsutil-dev
 Architecture: all
