=== debian/changelog ===
golang-github-shirou-gopsutil (2.19.11-4) unstable; urgency=medium

  * Team upload.
  * Disable cpuinfo related test, Closes: #976509)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Dec 2020 11:05:29 -0500

golang-github-shirou-gopsutil (2.19.11-3) unstable; urgency=medium

  * Team upload.
  * Fix Depends for -dev package.
    Only needs Go libraries
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0 (no changes)
  * Add Rules-Requires-Root
  * Update maintainer address to team+pkg-go@tracker.debian.org

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 06 Oct 2020 18:26:30 +0800

golang-github-shirou-gopsutil (2.19.11-2) unstable; urgency=medium

  * Team upload.
  * Fix "FTBFS: Test_Process_memory_maps failure":
    Disable more tests to avoid FTBFS (Closes: #964045)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 Jul 2020 07:19:59 -0400

golang-github-shirou-gopsutil (2.19.11-1) unstable; urgency=medium

  * New upstream release
  * Tightened "golang-golang-x-sys-dev" dep versioning (Closes: #910328).
    Thanks, Guillem Jover.
  * Build with "go generate"
  * Standards-Version: 4.4.1
  * DH to version 12
  * Added myself to Uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 30 Dec 2019 10:58:20 +1100
