=== debian/changelog ===
golang-github-shirou-gopsutil (3.21.10-3ubuntu1) jammy; urgency=medium

  * Disable tests that rely on lscpu, as the version in Ubuntu has a bug on
    arm64

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 11 Jan 2022 19:06:43 -0600

golang-github-shirou-gopsutil (3.21.10-3) unstable; urgency=medium

  * Update patches to fix tests failures.

 -- Aloïs Micard <creekorful@debian.org>  Tue, 30 Nov 2021 21:35:14 +0100

golang-github-shirou-gopsutil (3.21.10-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Adjust gh-golang build-dep to require (>=2:1.16~1) to solve FTBFS when
    backporting--yes, and also for accuracy!

  [ Aloïs Micard ]
  * Write patch to fix tests failures.

 -- Aloïs Micard <creekorful@debian.org>  Sun, 28 Nov 2021 23:02:53 +0100

golang-github-shirou-gopsutil (3.21.10-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * New upstream release.
  * d/control:
    - Bump Standards-Version.
    - Mark -dev M-A: foreign.
    - Change section to golang.
    - Add myself as Uploader.
    - Depends on golang-gopkg-yaml.v3-dev.
  * d/watch: Fix watch file.
  * d/patches: Refresh patches.
  * d/rules: Fix file perms.

  [ Nicholas D Steeves ]
  * Install README.md rather than README.rst (dropped upstream).

 -- Aloïs Micard <creekorful@debian.org>  Sat, 27 Nov 2021 18:21:53 +0100
