=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DH_GOLANG_GO_GENERATE := 1

# Avoid running tests that require root.
export CI := true
export CIRCLECI := true

%:
	dh $@ --buildsystem=golang --with=golang

# TODO: Submit a PR upstream!
override_dh_fixperms:
	dh_fixperms
	chmod -x debian/golang-github-shirou-gopsutil-dev/usr/share/gocode/src/github.com/shirou/gopsutil/cpu/testdata/linux/times_empty/proc/stat
	chmod -x debian/golang-github-shirou-gopsutil-dev/usr/share/gocode/src/github.com/shirou/gopsutil/v3/cpu/testdata/linux/times_empty/proc/stat
	chmod -x debian/golang-github-shirou-gopsutil-dev/usr/share/gocode/src/github.com/shirou/gopsutil/v3/net/types_darwin.go
