## golang-github-shirou-gopsutil 3.22.4

=== debian/changelog ===
golang-github-shirou-gopsutil (3.22.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 13 Jun 2022 15:46:58 -0400

golang-github-shirou-gopsutil (3.22.4-2) unstable; urgency=medium

  * Team upload.
  * Resurrect 01-Disable_failing_tests.patch, because it is needed when
    building on buildd, even when it's not needed locally (Closes: #1011836).
  * Rebase this patch onto 3.22.4.
  * Control: Correct error in XS-Go-Import-Path introduced in 3.21.10-1; The
    3.x series of this package provides "github.com/shirou/gopsutil/v3" and
    not "github.com/shirou/gopsutil".

 -- Nicholas D Steeves <sten@debian.org>  Fri, 03 Jun 2022 20:03:59 -0400

golang-github-shirou-gopsutil (3.22.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.22.4.
  * Fix the curious omission of a trailing tilde in the golang-any build-dep.
    ~1~bpo11 sorts lower than ~1, thus a backported golang-any could never
    fulfill the declared requirement.
  * Drop 01-Disable_failing_tests.patch, which is no longer necessary.
  * Drop dh_fixperms override; the permission issue it addressed was fixed
    upstream.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 14 May 2022 07:31:36 -0400
