=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-shirou-gopsutil
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -10,7 +9,7 @@
            Aloïs Micard <creekorful@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any (>=2:1.16~1),
+               golang-any (>=2:1.16~1~),
                golang-github-stretchr-testify-dev,
                golang-github-tklauser-go-sysconf-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180510~),
@@ -21,7 +20,7 @@
 Homepage: https://github.com/shirou/gopsutil
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
-XS-Go-Import-Path: github.com/shirou/gopsutil
+XS-Go-Import-Path: github.com/shirou/gopsutil/v3
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
