## golang-github-shirou-gopsutil 3.22.10

=== debian/changelog ===
golang-github-shirou-gopsutil (3.22.10-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Disable tests that rely on lscpu, as the version in Ubuntu has a bug on
      arm64

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 23 Dec 2022 11:39:23 -0300

golang-github-shirou-gopsutil (3.22.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Nov 2022 18:00:54 +0100

golang-github-shirou-gopsutil (3.22.4-3) unstable; urgency=medium

  * Team upload
  * Revert XS-Go-Import-Path to github.com/shirou/gopsutil/v3.
    This reverts commit fa35c0744cb3933c927cad97c8925b66725b078c.
    (Closes: #1013588, #1013593, #1013596)
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 24 Jun 2022 22:06:38 +0800
