=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-shirou-gopsutil
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Nobuhiro Iwamatsu <iwamatsu@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -16,11 +17,11 @@
                golang-gopkg-yaml.v3-dev,
                lsof,
                procps
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/shirou/gopsutil
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
-XS-Go-Import-Path: github.com/shirou/gopsutil/v3
+XS-Go-Import-Path: github.com/shirou/gopsutil
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
