## golang-github-shirou-gopsutil 3.24.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 .DEFAULT_GOAL := help
 
 SUBPKGS=cpu disk docker host internal load mem net process
-TAG=$(shell date +'v3.%y.%-m' --date='last Month')
 
 help:  ## Show help
 	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'
@@ -18,9 +17,14 @@
 	GOOS=linux GOARCH=386 go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=linux GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=linux GOARCH=arm64 go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=loong64 go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=linux GOARCH=riscv64 go test ./... | $(BUILD_FAIL_PATTERN)
-	GOOS=freebsd go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=s390x go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=linux GOARCH=mips go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=freebsd GOARCH=amd64 go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=freebsd GOARCH=386 go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=freebsd GOARCH=arm go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=freebsd GOARCH=arm64 go test ./... | $(BUILD_FAIL_PATTERN)
 	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
 	GOOS=windows go test ./... | $(BUILD_FAIL_PATTERN)
 	# Operating systems supported for building only (not implemented error if used)
@@ -29,6 +33,7 @@
 	GOOS=netbsd go test ./... | $(BUILD_FAIL_PATTERN)
 	# cross build to OpenBSD not worked since process has "C"
 #	GOOS=openbsd go test ./... | $(BUILD_FAIL_PATTERN)
+	GOOS=plan9 go test ./... | $(BUILD_FAIL_PATTERN)
 
 ifeq ($(shell uname -s), Darwin)
 	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
@@ -37,7 +42,6 @@
 
 vet:
 	GOOS=darwin GOARCH=amd64 go vet ./...
-	GOOS=darwin GOARCH=386 go vet ./...
 	GOOS=darwin GOARCH=arm64 go vet ./...
 
 	GOOS=dragonfly GOARCH=amd64 go vet ./...
@@ -50,11 +54,13 @@
 	GOOS=linux GOARCH=amd64 go vet ./...
 	GOOS=linux GOARCH=arm64 go vet ./...
 	GOOS=linux GOARCH=arm go vet ./...
+	GOOS=linux GOARCH=loong64 go vet ./...
 	GOOS=linux GOARCH=mips64 go vet ./...
 	GOOS=linux GOARCH=mips64le go vet ./...
 	GOOS=linux GOARCH=mips go vet ./...
 	GOOS=linux GOARCH=mipsle go vet ./...
 	GOOS=linux GOARCH=ppc64le go vet ./...
+	GOOS=linux GOARCH=ppc64 go vet ./...
 	GOOS=linux GOARCH=riscv64 go vet ./...
 	GOOS=linux GOARCH=s390x go vet ./...
 
@@ -68,6 +74,9 @@
 	GOOS=windows GOARCH=amd64 go vet ./...
 	GOOS=windows GOARCH=386 go vet ./...
 
+	GOOS=plan9 GOARCH=amd64 go vet ./...
+	GOOS=plan9 GOARCH=386 go vet ./...
+
 macos_test:
 	CGO_ENABLED=0 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
 	CGO_ENABLED=1 GOOS=darwin go test ./... | $(BUILD_FAIL_PATTERN)
@@ -75,6 +84,8 @@
 init_tools:
 	go get github.com/golang/dep/cmd/dep
 
+TAG=$(shell date +'v3.%y.%-m' --date='last Month')
+
 release:
 	git tag $(TAG)
 	git push origin $(TAG)
