=== debian/changelog ===
golang-github-shirou-gopsutil (3.24.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable tests that rely on lscpu, as the version in Ubuntu has a bug on
      arm64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 13:14:19 +0100

golang-github-shirou-gopsutil (3.24.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 09 Feb 2024 18:44:16 +0000

golang-github-shirou-gopsutil (3.23.12-3ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable tests that rely on lscpu, as the version in Ubuntu has a bug on
      arm64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Feb 2024 00:13:30 +0100

golang-github-shirou-gopsutil (3.23.12-3) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream fix for mips64el build failure

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Jan 2024 15:09:09 +0000

golang-github-shirou-gopsutil (3.23.12-2) unstable; urgency=medium

  * Team upload
  * Disable tests that only fail on buildds

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Jan 2024 01:53:23 +0000

golang-github-shirou-gopsutil (3.23.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1014209)
    - Shrink set of skipped failing tests to only what failed locally. If
      there's still issues on the buildds, I will add those tests
  * d/control:
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Fix Build-Depends and Depends
  * Remove forced xz compression from d/gbp.conf

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 13 Jan 2024 18:40:05 +0000
