=== debian/control ===
--- 
+++ 
@@ -14,10 +14,9 @@
                golang-github-stretchr-testify-dev,
                golang-github-tklauser-go-sysconf-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180510~),
-               golang-gopkg-yaml.v3-dev,
                lsof,
                procps
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/shirou/gopsutil
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
@@ -28,9 +27,9 @@
 Package: golang-github-shirou-gopsutil-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-tklauser-go-sysconf-dev,
+Depends: golang-github-stretchr-testify-dev,
+         golang-github-tklauser-go-sysconf-dev,
          golang-golang-x-sys-dev (>= 0.0~git20180510~),
-         golang-gopkg-yaml.v3-dev,
          ${misc:Depends}
 Description: Go package implementing psutils
  The gopsutil package provides a library which psutil
