=== debian/changelog ===
golang-github-shirou-gopsutil (4.24.9-2~bpo12+1) bookworm-backports; urgency=medium

  * Team upload
  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 11 Oct 2024 13:21:43 +0000

golang-github-shirou-gopsutil (4.24.9-2) unstable; urgency=medium

  * Update patch metadata.
  * Skip test for nice(2) which fails on reproducible nodes.
  * Add Breaks on golang-github-minio-madmin-go (<< 3.0.63-2~) to help
    migration.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 08 Oct 2024 14:41:28 +0200

golang-github-shirou-gopsutil (4.24.9-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch for gbp pq format.
  * Skip tests if no swap or other partitions are found.
  * Skip tests if no CPU model information is found.
  * Gather /proc/cpuinfo information from CI, VM and build environments.
    This will make it possible to update the code for these systems, so that
    we can then potentially stop skipping the tests.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 07 Oct 2024 16:22:10 +0200

golang-github-shirou-gopsutil (4.24.8-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp configuration following Go Team new workflow.
  * Wrap and sort -ast.
  * Switch to dh-sequence-golang from dh-golang and --with=golang.
  * Set build directory to _build.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Add myself to Uploaders.
  * Add a debian/.gitignore file.
  * Update patches to fix test suite failures.
  * Only require test tools when not in nocheck build-profile.
  * Add python3 and python3-psutil to Build-Depends for optional tests.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 18 Sep 2024 20:17:38 +0200
