## golang-github-shirou-gopsutil 4.25.1

=== debian/changelog ===
golang-github-shirou-gopsutil (4.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Override lintian tag on testdata being documentation.
  * Use pypi link instead of dead pythonhosted URL in packages description.
  * Improve and fix package description and its grammar.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 04 Feb 2025 15:40:09 +0100

golang-github-shirou-gopsutil (4.24.12-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 03 Feb 2025 19:18:04 +0100
