=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 # Old versions only work with gopsutil v3.
  golang-github-minio-madmin-go (<< 3.0.63-2~),
 Description: Go package implementing psutils
- The gopsutil package provides a library which psutil
- (http://pythonhosted.org/psutil/) functions. Most of the features are
- implemented. Please refer to web site of the project about implementation
- list.
+ The gopsutil package provides a library that implements the psutil
+ (https://pypi.org/project/psutil/) functions. Most of the features are
+ implemented. Please refer to the web site of this project about the
+ current implementation status.
