## golang-github-shirou-gopsutil 4.25.2

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  lsof <!nocheck>,
  procps <!nocheck>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/shirou/gopsutil
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shirou-gopsutil.git
