=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DH_GOLANG_GO_GENERATE := 1

# Avoid running tests that require root.
export CI := true

%:
	dh $@ --buildsystem=golang --builddirectory=_build

execute_before_dh_auto_test:
	# Gather information from CI, VM and build environments to be able to
	# update the code.
	-cat /proc/cpuinfo
